<?php
/**
* Id class
* 
*  represents a server connections,
* used to check for high or low Id connection
*
@author Moritz Warning <mwarning@users.sourceforge.net>
*/

class MLD_ServerConnection {

	var $isvalid = FALSE;
	
	var $serverIp = NULL;

	var $statusId = NULL;

	function MLD_ServerConnection($line = NULL)
	{
		if(!isset($line) OR substr($line, 0 , 3) != "For") { return; }
		
		preg_match_all("/(\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}(:\d{1,6})?)/", $line, $found);
		
		$this->serverIp = $found[0][0];
		
		if(isset($found[0][1]) AND !strstr($found[0][1], "255") AND !strstr($found[0][1], ".0")) { //not 100% but save enough imho
			$this->statusId = _("High");
		} else {
			$this->statusId = _("Low");
		}
		$this->isvalid = TRUE;
	}
}