<?php

/**
* Shared File class
* 
* Represents a file being shared by MLDonkey
*
* @author   CJ Kucera <zuul@NOSPAM.apocalyptech.com>
* @author   Moritz Warning <mwarning@users.sourceforge.net>
*/

class MLD_Shared {

	var $isvalid = FALSE;

	var $dir = NULL;

	var $priority = NULL;

/**
* Constructor for MLD_SharedFile class
*
* Accepts a line, and will set the appropriate vars is possible
*
* @author   CJ Kucera <zuul@NOSPAM.apocalyptech.com>
* @author Moritz Warning
*/
	function MLD_Shared($line = NULL)
	{
		if(!isset($line)) { return; }
	
		if (preg_match("/\s*(\d+)\s+(\S+)\s*/", $line, $found)) {
			$this->priority = (int) $found[1];
			$this->dir = $found[2];
			$this->isvalid = TRUE;
		}
	
	}
}
?>