<?php
/*
* aqua theme template functions
* panel buttons based on empty default buttons from phpeselgui.sourceforge.net
*
* @author Moritz Warning <mwarning@users.sourceforge.net>
*/

function getSite() {

	$theme_path =  $_SESSION['core']->subDirs["theme_dir"].$_SESSION['user']->theme;
	$body = $_SESSION['core']->getBody(); //need be executed before get messages
	
	$content = '<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">'."\n";
        $content .= "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n";
	$content .= "<head>\n";
        $content .= "<title>".$_SESSION['title'] ."</title>\n";
	$content .= '<link rel="stylesheet" href="'.$theme_path .'/style.css" type="text/css" />'."\n";
        $content .= "</head>\n";
	
        $content .= "<body>\n";
	
	$content .= '<br /><div align="center">'."\n";
        $content .= getHeader();
	$content .= '</div><br />'."\n";
	
	$content .= '<table width="100%" align="center" bgcolor="Silver"><tr>'."\n";
	$content .= '<td align="left" width="33%"><nobr>'.$_SESSION['message']."</nobr></td>\n";
	$content .= '<td align="center" width="33%"><h3>'.$_SESSION['headline']."</h3></td>\n";
	$content .= '<td align="right" width="33%">'.getPageRefresh()."</td>\n";
	$content .= "</tr></table>\n";
	$content .= "<br />\n";
	
	$content .= '<div align="center">'."\n";
	$content .= $body;
	$content .= "</div>\n";

	$content .= "<br />\n";
	$content .= "<hr size=\"1\" noshade />\n";
	$content .= '<div class="smalltext">'.getVersionString()."</div>\n";
	
	$content .= "</body>\n";
	$content .= "</html>";
        return $content;
}

function getHeader() {

	$images = array(
	"vd" => "Blue.png",
	"start" => "Green.png",
	"s" => "Green.png",
	"dllink" => "Green.png",
	"upl" => "Blue.png",
	"upstats" => "Blue.png",
	"servers" => "Blue.png",
	"shares" => "Red.png",
	"cmd" => "Red.png",
	"opt" => "Red.png",
	"uopt" => "Red.png",
	"umanage" => "Red.png",
	"gmanage" => "Red.png",
	"other" => "Blue.png",
	"inc" => "Blue.png",
	"kill" => "Black.png",
	"logout" => "Black.png"
	);

	$menu = $_SESSION["core"]->getMenu();
	$items = count($menu);
	$maxitems = 9;
	$perrow = ceil($items/(ceil($items/$maxitems)));
	$partition = array_pad(array(), ceil($items/$perrow), $perrow);

	$offset = 0 ;
	
	$theme_path = $_SESSION['core']->subDirs["theme_dir"].$_SESSION['user']->theme."/";
	
	for($i = 0; $i < count($partition); $i++)
	{
		$row = array_slice($menu, $offset, $partition[$i]);
		$offset += $partition[$i];
		
		$content .= '<table class="titlebar">'."\n<tr>\n";
		
		foreach($row as $link) {
			$content .= '<td class="titlebar" style="background-image:url('.$theme_path."images/".$images[$link->id].');">';
			$content .= '<a href="'.$link->href.'" class="titlebar" >'.str_replace(" ", "<br \>", $link->text).'</a></td>'."\n";
		}
		
		$content .= "</tr>\n</table>\n";
	}
	
	return $content;
}
?>