<?php
/**
* Bandwidth Statistic class
* 
* Represents the information received from the "bw_stats" command
*
* @author   Moritz Warning <mwarning@users.sourceforge.net>
*/
class MLD_BandwidthStat {
    
	var $isvalid = FALSE;
	
/**
* Download Rate
*/
	var $downrate = NULL;
	
/**
* Upload Rate
*/
	var $uprate = NULL;

/**
* Constructor for MLD_BandwidthStat class
*
* Accepts a line, and will set the appropriate vars is possible
*
* @author Moritz Warning
*/
    function MLD_BandwidthStat($line = NULL)
    {
	if(isset($line) AND preg_match("/^Down: (.*)KB\/s.*Up: (.*)KB\/s.*$/", $line, $found)) {
		$this->downrate = (float) $found[1];
		$this->uprate = (float) $found[2];
		$this->isvalid = TRUE;
	}
    }
}