<?php
// disabled
/**
* Displays friends
*
* @author   Don Seiler <don@NOSPAM.seiler.us>
* @author Moritz Warning <mwarning@users.sourceforge.net>
*/
function vfr()
{
	$headers = array();
	$headers["void"]  = "";
	$headers["nr"]      = _("No.");
	$headers["ip"]      = _("IP Address");
	$headers["name"]    = _("Name");
	$headers["network"] = _("Network");
	$columns = count($headers);

	$content = NULL;
	$content .= checkboxJavascript("nr[]");
	$content .= '<form name="vfr" action="index.php" method="post">'.NL;
	$_SESSION['headline'] = _("Friends");
	$content .= '<table cellspacing="0" cellpadding="2" border="0">'.NL;
	$content .= '<tr><td colspan="'.$columns.'">' . checkboxLinks("vfr") . "</td></tr>\n";
	$content .= "<tr class=\"bg_dark\">\n";
	foreach($headers as $key => $value) {
		$content .= "<th>$value</th>\n";
	}
	$content .= "</tr>\n";    
	
	$mldarray = mldonkey("vfr");
	$clients = array();
	$c = 0;
	/*
	* vfr returns all friends on single line.
	*/
	$networks = array (	"Donkey",
				"Fasttrack",
				"Overnet",
				"OpenNap",
				"Soulseek",
				"Gnutella",
				"DirectConnect" );
    foreach($mldarray as $line) {
        $indexes = array();
        $length = strlen($line);
        foreach ($networks as $network) {
            for ($i = 0; $i < $length; $i++)
                if($pos = strpos(substr($line, $i),"[$network")) {
                    $indexes[$pos+$i] = 0;
                    $i += $pos;
                }
            }

        ksort($indexes);
        reset($indexes);
        $pkey = 0;
        while (list($key, $val) = each($indexes)) {
            $indexes[$pkey] = $key-$pkey;
            if($key)
                $pkey = $key;
        }
        $indexes[$pkey] = $length - $pkey;

        reset($indexes);
        while (list($start, $length) = each($indexes)) {
            $client = new MLD_Client(substr($line, $start, $length));
		//if(isset($client)) {
		if($client->isvalid) {
                $content .= '<tr class="list">';
                if($c%2 == 0) { $content .= '<tr class="list">'.NL; }
                else          { $content .= '<tr class="alt_list">'.NL; }
                $content .= '<td><input type="checkbox" name="nr[]" value="'.$client->num."\" /></td>\n";
                $content .= "<td>".$client->num."</td>\n";
                $content .= "<td>".$client->ip."</td>\n";
                $content .= "<td>".$client->username."</td>\n";
                $content .= "<td>".$client->network."</td>\n";
                $content .= "</tr>\n";
                $c++;
            }
        }
    }

    $content .= '<tr><td colspan="'.$columns.'">' . checkboxLinks("vfr") . "</td></tr>\n";
    $content .= '<tr><td colspan="'.$columns."\">\n";
    $content .= "<hr size=\"1\" noshade />\n";
    $content .= "</td></tr>\n";
    $content .= '<tr><td colspan="'.$columns."\">\n";
    $content .= '<input type="submit" name="action_remove" value="'. _("Remove") . '" />'.NL;
    $content .= "</td></tr>\n";
    $content .= "</table>\n";
    $content .= '<input type="hidden" name="CORE_OP" value="vfr_friend_remove" />'.NL;
    $content .= "</form>\n";
    $content .= '<p><b><a href="index.php?CORE_OP=vfr_vc">'._("Add Friend via Clients")."</a></b>\n";
    $content .= "<br />";
    $content .= '<b><a href="index.php?CORE_OP=vfr_afr">'._("Add Friend via IP Address")."</a></b></p>\n";

    return $content;
}

/**
* Adds friend manually
*
* @author   Don Seiler <don@NOSPAM.seiler.us>
*/
function vfr_afr()
{
    $content = NULL;

    if(isset($_REQUEST["afr"]) AND isset($_REQUEST["ip"]) AND isset($_REQUEST["port"])) {
	$result = $_SESSION['interface']->addFriend($_REQUEST["ip"], $_REQUEST["port"]);
	if ($result) {
	    $_SESSION['message'] .= _("Friend Added");
	}
	$content .= vfr();
    } else {

        $content .= "<div align=\"center\">\n";
        $content .= "<h3>" . _("Friends") . "</h3>\n";
        $content .= '<form method="post" action="index.php">'.NL;
        $content .= '<input type="hidden" name="CORE_OP" value="vfr_afr" />'.NL;
        $content .= "<input type=\"hidden\" name=\"afr\" value=\"1\" />\n";
        $content .= '<table cellspacing="0" cellpadding="2" border="0">';
        $content .= '<tr><td align="right">' . _("IP Address") . "</td><td>";
        $content .= '<input type="text" name="ip" size="30" /></td></tr>'.NL;
        $content .= '<tr><td align="right">' . _("Port") . "</td><td>";
        $content .= '<input type="text" name="port" size="6" /> ('._("Optional") . ")</td></tr>\n";
        $content .= '<tr><td colspan="2"><input type="submit" name="search" value="'. _("Add Friend") . "\" /></td></tr></table>\n";
        $content .= "</form>\n<br /><br />\n";
        $content .= "</div>\n";

    }
    return $content;

}

/**
* Adds friend from vc list
*
* @author   Don Seiler <don@NOSPAM.seiler.us>
*/
function vfr_friend_add()
{
	$content = NULL;
	
	if(!(isset($_REQUEST["nr"]) && is_array($_REQUEST["nr"]))) {
		$_SESSION['message'] .= "<div class=\"error\">" . _("No items were selected.") . "</div>";
	} else {
		// Is this if check necessary?  add is only option on form
		if(isset($_REQUEST["action_add"])) {
			
			foreach($_REQUEST["nr"] as $nr) {
				$_SESSION['interface']->addFriend($nr);
			}
			
			$_SESSION['message'] .= _("Clients added to friend list.") . "<br />\n";
		}
	}

    $content .= vfr();

    return $content;

}

/**
* Removes friend
*
* @author   Don Seiler <don@NOSPAM.seiler.us>
*/
function vfr_friend_remove()
{
	$content = NULL;

	if(!(isset($_REQUEST["nr"]) && is_array($_REQUEST["nr"]))) {
		$_SESSION['message'] .= "<div class=\"error\">" . _("No items were selected.") . "</div>";
	} else {
		// Is this if check necessary?  add is only option on form
		if(isset($_REQUEST["action_remove"])) {
			foreach($_REQUEST["nr"] as $nr) {
				$_SESSION['interface']->remFriend($nr);
			}
			$_SESSION['message'] .= _("Clients removed from friend list.") . "<br />\n";
		}
	}
	
	$content .= vfr();
	
	return $content;
}

/**
* Displays connected clients
*
* @author   Don Seiler <don@NOSPAM.seiler.us>
*/
function vfr_vc()
{
    $headers = array();
    $headers["action"]  = "";
    $headers["nr"]      = _("No.");
    $headers["ip"]      = _("IP Address");
    $headers["name"]    = _("Name");
    $headers["network"] = _("Network");
	$columns = count($headers);
	
    $content = null;
    $content .= checkboxJavascript("nr[]");
    $content .= "<form name=\"vc\" action=\"index.php\" method=\"post\">\n";
    $content .= "<div align=\"center\">\n";
    $content .= "<h3>" . _("Clients") . "</h3>";
    $content .= '<table cellspacing="0" cellpadding="2" border="0">'.NL;
    $content .= '<tr><td colspan="'.$columns.'">' . checkboxLinks("vc") . "</td></tr>\n";
    $content .= "<tr class=\"bg_dark\">\n";
    foreach($headers as $key=>$value)
        $content .= "<th>$value</th>\n";
    $content .= "</tr>\n";    

    $clients = $_SESSIN['interface']->getAllClients();
	$c = 0;
	foreach($clients as $client) {
		if($c%2 == 0) { $content .= '<tr class="list">'.NL; }
		else { $content .= '<tr class="alt_list">'.NL; }
		$content .= '<td><input type="checkbox" name="nr[]" value="'.$client->num."\" /></td>\n";
		$content .= "<td>$client->num</td>\n";
		$content .= "<td>$client->ip</td>\n";
		$content .= "<td>$client->username</td>\n";
		$content .= "<td>$client->network</td>\n";
		$content .= "</tr>\n";
		$c++;
	}

    $content .= '<tr><td colspan="'.$columns.'">' . checkboxLinks("vc") . "</td></tr>\n";
    $content .= '<tr><td colspan="'.$columns."\">\n";
    $content .= "<hr size=\"1\" noshade />\n";
    $content .= "</td></tr>\n";
    $content .= '<tr><td colspan="'.$columns."\">\n";
    $content .= '<input type="submit" name="action_add" value="' . _("Add Friend") . "\" />\n";
    $content .= "</td></tr>\n";
    $content .= "</table>\n</div>\n";
    $content .= '<input type="hidden" name="CORE_OP" value="vfr_friend_add" />'.NL;
    $content .= "</form>\n";
    
    return $content;
}
?>
